aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-19 12:17:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-31 14:07:36 +0000
commitdb594013b07071744fec8c436237140c59e13c51 (patch)
tree87cd6abb49d18cdcc2eec7ecef28a7707c57572c
parentfe3c5165d87120b9faf745a76f23d924120f5cf7 (diff)
downloadaports-db594013b07071744fec8c436237140c59e13c51.tar.bz2
aports-db594013b07071744fec8c436237140c59e13c51.tar.xz
main/linux-dahdi-linux-{grsec,vserver}: fix warning from zaphfc driver
Patch from tteras. fixes #410 (cherry picked from commit eafaf07e8659fad3be7d2d274ce56de338d23e9a)
-rw-r--r--main/dahdi-linux-grsec/APKBUILD16
-rw-r--r--main/dahdi-linux-grsec/dahdi-zaphfc2.patch12
-rw-r--r--main/dahdi-linux-vserver/APKBUILD14
-rw-r--r--main/dahdi-linux-vserver/dahdi-zaphfc2.patch12
4 files changed, 45 insertions, 9 deletions
diff --git a/main/dahdi-linux-grsec/APKBUILD b/main/dahdi-linux-grsec/APKBUILD
index 4885faca1a..cedaec5c4a 100644
--- a/main/dahdi-linux-grsec/APKBUILD
+++ b/main/dahdi-linux-grsec/APKBUILD
@@ -17,7 +17,7 @@ pkgname=${_realname}-${_flavor}
pkgver=$pkgver
# when chaning _dahdiver we *must* bump _mypkgrel
_dahdiver=2.3.0.1
-_mypkgrel=3
+_mypkgrel=4
pkgrel=$(( $_kpkgrel + $_mypkgrel ))
pkgdesc="Digium Asterisk Hardware Device Interface drivers $_dahdiver"
url="http://www.asterisk.org"
@@ -33,13 +33,18 @@ source="http://downloads.digium.com/pub/telephony/dahdi-linux/releases/${_realna
dahdi-bri_dchan.patch
dahdi-zaphfc.patch
zaphfc-dahdi-flortz.diff
+ dahdi-zaphfc2.patch
"
prepare() {
cd "$srcdir/$_realname-$_dahdiver"
- for i in ../*.patch ../*.diff; do
- msg "Applying $i"
- patch -p1 < $i || return 1;
+ for i in $source; do
+ case $i in
+ *.patch|*.diff)
+ msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
done
}
@@ -72,4 +77,5 @@ md5sums="ac454f91d7e1267655ecd698832da414 dahdi-linux-2.3.0.1.tar.gz
c78fb8d80f9efdffd950297c88ff9273 dahdi-depmod.patch
4b41a82ff390ac64c08092c5a3eab6a8 dahdi-bri_dchan.patch
a822c092f0548cd13f5e8d8cba053af6 dahdi-zaphfc.patch
-291c5c44c86ab02443a742415461ddca zaphfc-dahdi-flortz.diff"
+291c5c44c86ab02443a742415461ddca zaphfc-dahdi-flortz.diff
+854008afc44b7a5c920f4ae4a2860e3b dahdi-zaphfc2.patch"
diff --git a/main/dahdi-linux-grsec/dahdi-zaphfc2.patch b/main/dahdi-linux-grsec/dahdi-zaphfc2.patch
new file mode 100644
index 0000000000..33ebafd990
--- /dev/null
+++ b/main/dahdi-linux-grsec/dahdi-zaphfc2.patch
@@ -0,0 +1,12 @@
+Index: dahdi-linux-2.3.0.1/drivers/dahdi/zaphfc.c
+ ===================================================================
+ --- dahdi-linux-2.3.0.1.orig/drivers/dahdi/zaphfc.c 2010-08-19 14:50:10.000000000 +0300
+ +++ dahdi-linux-2.3.0.1/drivers/dahdi/zaphfc.c 2010-08-19 14:50:44.000000000 +0300
+ @@ -676,6 +676,7 @@
+ sprintf(zthfc->span.desc, "HFC-S PCI A ISDN card %d [TE]", hfc_dev_count + 1);
+ }
+
+ + zthfc->span.owner = THIS_MODULE;
+ zthfc->span.spanconfig = zthfc_spanconfig;
+ zthfc->span.chanconfig = zthfc_chanconfig;
+ zthfc->span.startup = zthfc_startup;
diff --git a/main/dahdi-linux-vserver/APKBUILD b/main/dahdi-linux-vserver/APKBUILD
index cfc07ef314..2fc54cb202 100644
--- a/main/dahdi-linux-vserver/APKBUILD
+++ b/main/dahdi-linux-vserver/APKBUILD
@@ -17,7 +17,7 @@ pkgname=${_realname}-${_flavor}
pkgver=$pkgver
# when bumping _dahdiver we *must* bump _mypkgrel
_dahdiver=2.3.0.1
-_mypkgrel=3
+_mypkgrel=4
pkgrel=$(( $_kpkgrel + $_mypkgrel ))
pkgdesc="Digium Asterisk Hardware Device Interface drivers $_dahdiver"
url="http://www.asterisk.org"
@@ -32,15 +32,20 @@ source="http://downloads.digium.com/pub/telephony/dahdi-linux/releases/${_realna
dahdi-depmod.patch
dahdi-bri_dchan.patch
dahdi-zaphfc.patch
+ dahdi-zaphfc2.patch
zaphfc-dahdi-flortz.diff
dahdi-2.2.0.2-gcc44-hack.patch
"
prepare() {
cd "$srcdir/$_realname-$_dahdiver"
- for i in ../*.patch ../*.diff; do
- msg "Applying $i"
- patch -p1 < $i || return 1;
+ for i in $source; do
+ case $i in
+ *.patch|*.diff)
+ msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
done
}
@@ -73,5 +78,6 @@ md5sums="ac454f91d7e1267655ecd698832da414 dahdi-linux-2.3.0.1.tar.gz
c78fb8d80f9efdffd950297c88ff9273 dahdi-depmod.patch
4b41a82ff390ac64c08092c5a3eab6a8 dahdi-bri_dchan.patch
3be420539f5e2e2b94a1bf3d711ec630 dahdi-zaphfc.patch
+854008afc44b7a5c920f4ae4a2860e3b dahdi-zaphfc2.patch
291c5c44c86ab02443a742415461ddca zaphfc-dahdi-flortz.diff
eeb4b2870d23d7c020cd99b5b1a633e9 dahdi-2.2.0.2-gcc44-hack.patch"
diff --git a/main/dahdi-linux-vserver/dahdi-zaphfc2.patch b/main/dahdi-linux-vserver/dahdi-zaphfc2.patch
new file mode 100644
index 0000000000..33ebafd990
--- /dev/null
+++ b/main/dahdi-linux-vserver/dahdi-zaphfc2.patch
@@ -0,0 +1,12 @@
+Index: dahdi-linux-2.3.0.1/drivers/dahdi/zaphfc.c
+ ===================================================================
+ --- dahdi-linux-2.3.0.1.orig/drivers/dahdi/zaphfc.c 2010-08-19 14:50:10.000000000 +0300
+ +++ dahdi-linux-2.3.0.1/drivers/dahdi/zaphfc.c 2010-08-19 14:50:44.000000000 +0300
+ @@ -676,6 +676,7 @@
+ sprintf(zthfc->span.desc, "HFC-S PCI A ISDN card %d [TE]", hfc_dev_count + 1);
+ }
+
+ + zthfc->span.owner = THIS_MODULE;
+ zthfc->span.spanconfig = zthfc_spanconfig;
+ zthfc->span.chanconfig = zthfc_chanconfig;
+ zthfc->span.startup = zthfc_startup;